# System Data

The System Endpoints offer Methods for managing System Aspects for Domains, that are not directly connected to a Media Object or influencable via Domain Settings.&#x20;

## System Constants

will return Lists of preconfigures, not editable Values (for example - all possible Values, a Video Genre can take)

## /videogenres

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/videogenres`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /audiogenres

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/audiogenres`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /languagecodes

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/languagecodes`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /countrycodes

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/countrycodes`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /persontypes

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/persontypes`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /videocontenttypes

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/videocontenttypes`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /imagecontenttypes

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/imagecontenttypes`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /youtubecategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/youtubecategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /facebookcategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/facebookcategories`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /rokucategories

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/rokucategories`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /ttsvoices

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/ttsvoices`

#### Path Parameters

| Name | Type   | Description |
| ---- | ------ | ----------- |
|      | string |             |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /editableattributesfor

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/editableattributesfor/:streamtype`

#### Path Parameters

| Name       | Type   | Description                                                  |
| ---------- | ------ | ------------------------------------------------------------ |
| streamtype | string | The Streamtype, you need to get the editable Attributes for. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## /editablerestrictionsfor

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/editablerestrictionsfor/:streamtype`

#### Path Parameters

| Name       | Type   | Description                                                  |
| ---------- | ------ | ------------------------------------------------------------ |
| streamtype | string | The Streamtype, you need to get the editable Attributes for. |

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}

## System Incidents

In case of a serious Malfunction, this Endpoint will return all currently ongoing Incidents.

## /currentincidents

<mark style="color:blue;">`GET`</mark> `https://api.nexx.cloud/v3.1/system/currentincidents`

{% tabs %}
{% tab title="200 " %}

```
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.docs.nexx.cloud/management-api/endpoints/system-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
